## visad.util
Class ContourWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      visad.util.ContourWidget

All Implemented Interfaces:
  Accessible, ActionListener, ChangeListener, ControlListener, EventListener, ImageObserver, ItemListener, MenuContainer, ScalarMapListener, Serializable

public class ContourWidget
extends JPanel
implements ActionListener, ChangeListener, ItemListener, ControlListener, ScalarMapListener

A widget that allows users to control iso-contours.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `ContourWidget.ContourRangeSlider` Subclass of RangeSlider for selecting min and max values.

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ContourWidget(ScalarMap smap)` construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with default interval, base, min, max, and surface value, and auto-scaling min and max.
`ContourWidget(ScalarMap smap, float surf)` construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified surface value, and default interval, min, max, and base, and auto-scaling min and max.
`ContourWidget(ScalarMap smap, float interv, float min, float max, float ba)` construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified interval and base, default surface value, min, and max, and auto-scaling min and max.
`ContourWidget(ScalarMap smap, float interv, float min, float max, float ba, float surf, boolean update)` construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified interval, minimum, maximum, base, surface value, and auto-scale behavior.

Method Summary
`void` `actionPerformed(ActionEvent e)` ActionListener method for JTextFields.
`void` `controlChanged(ControlEvent e)` ControlListener method for ContourControl.
`void` `controlChanged(ScalarMapControlEvent evt)` Deal with changes to the `ScalarMap` control
`Dimension` `getPreferredSize()` Make ContourWidget appear decent-sized
`void` `itemStateChanged(ItemEvent e)` ItemListener method for JCheckBoxes.
`void` `mapChanged(ScalarMapEvent e)` Do-nothing method; `ContourRangeSlider` handles map data
`(package private) void` `setMinMax(float min, float max)`
`void` `setPreferredSize(Dimension dim)` Set ContourWidget size
`(package private) void` `setSliderBounds(float min, float max)`
`void` `stateChanged(ChangeEvent e)` ChangeListener method for JSlider.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContourWidget

    public ContourWidget(ScalarMap smap)
                  throws VisADException,
                         RemoteException

  construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with default interval, base, min, max, and surface value, and auto-scaling min and max.

### ContourWidget

    public ContourWidget(ScalarMap smap,
                         float surf)
                  throws VisADException,
                         RemoteException

  construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified surface value, and default interval, min, max, and base, and auto-scaling min and max.

### ContourWidget

    public ContourWidget(ScalarMap smap,
                         float interv,
                         float min,
                         float max,
                         float ba)
                  throws VisADException,
                         RemoteException

  construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified interval and base, default surface value, min, and max, and auto-scaling min and max.

### ContourWidget

    public ContourWidget(ScalarMap smap,
                         float interv,
                         float min,
                         float max,
                         float ba,
                         float surf,
                         boolean update)
                  throws VisADException,
                         RemoteException

  construct a ContourWidget linked to the Control in the map (which must be to Display.IsoContour), with specified interval, minimum, maximum, base, surface value, and auto-scale behavior.

Method Detail

### setSliderBounds

    void setSliderBounds(float min,
                         float max)

### setMinMax

    void setMinMax(float min,
                   float max)
             throws VisADException,
                    RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  ActionListener method for JTextFields.

  Specified by:
    `actionPerformed` in interface `ActionListener`

### stateChanged

    public void stateChanged(ChangeEvent e)

  ChangeListener method for JSlider.

  Specified by:
    `stateChanged` in interface `ChangeListener`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  ItemListener method for JCheckBoxes.

  Specified by:
    `itemStateChanged` in interface `ItemListener`

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  ControlListener method for ContourControl.

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`

### getPreferredSize

    public Dimension getPreferredSize()

  Make ContourWidget appear decent-sized

### setPreferredSize

    public void setPreferredSize(Dimension dim)

  Set ContourWidget size

### mapChanged

    public void mapChanged(ScalarMapEvent e)

  Do-nothing method; `ContourRangeSlider` handles map data

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)
                        throws RemoteException,
                               VisADException

  Deal with changes to the `ScalarMap` control

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event
  Throws:
    `VisADException` - If there is a problem notifying this listener.
    `RemoteException` - If there was an RMI-related problem.